## AgsSFZLoader

AgsSFZLoader — load SFZ asynchronously

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SFZ_LOADER_GET_OBJ_MUTEX()
gboolean | ags_sfz_loader_test_flags ()
void | ags_sfz_loader_set_flags ()
void | ags_sfz_loader_unset_flags ()
AgsAudio * | ags_sfz_loader_get_audio ()
void | ags_sfz_loader_set_audio ()
gchar * | ags_sfz_loader_get_filename ()
void | ags_sfz_loader_set_filename ()
AgsAudioContainer * | ags_sfz_loader_get_audio_container ()
void | ags_sfz_loader_set_audio_container ()
void | ags_sfz_loader_start ()
AgsSFZLoader * | ags_sfz_loader_new ()

## Properties

AgsAudio * | audio | Read / Write
AgsAudioContainer * | audio-container | Read / Write
char * | filename | Read / Write

## Types and Values

enum | AgsSFZLoaderFlags

## Object Hierarchy

        GObject
        ╰── AgsSFZLoader

## Includes

    #include <ags/plugin/ags_sfz_loader.h>

## Description

The AgsSFZLoader loads sfz audio data asynchronously.

## Functions

### AGS_SFZ_LOADER_GET_OBJ_MUTEX()

    #define AGS_SFZ_LOADER_GET_OBJ_MUTEX(obj) (&(((AgsSFZLoader *) obj)->obj_mutex))

### ags_sfz_loader_test_flags ()

    gboolean
    ags_sfz_loader_test_flags (AgsSFZLoader *sfz_loader,
                               AgsSFZLoaderFlags flags);

Test `flags` to be set on `recall` .

#### Parameters

sfz_loader | the AgsSFZLoader |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_sfz_loader_set_flags ()

    void
    ags_sfz_loader_set_flags (AgsSFZLoader *sfz_loader,
                              AgsSFZLoaderFlags flags);

Set flags.

#### Parameters

sfz_loader | the AgsSFZLoader |
flags | the flags |

Since: 3.0.0

### ags_sfz_loader_unset_flags ()

    void
    ags_sfz_loader_unset_flags (AgsSFZLoader *sfz_loader,
                                AgsSFZLoaderFlags flags);

Unset flags.

#### Parameters

sfz_loader | the AgsSFZLoader |
flags | the flags |

Since: 3.0.0

### ags_sfz_loader_get_audio ()

    AgsAudio *
    ags_sfz_loader_get_audio (AgsSFZLoader *sfz_loader);

Get audio of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |

#### Returns

the assigned AgsAudio.

[transfer full]

Since: 3.2.0

### ags_sfz_loader_set_audio ()

    void
    ags_sfz_loader_set_audio (AgsSFZLoader *sfz_loader,
                              AgsAudio *audio);

Set audio of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |
audio | the AgsAudio |

Since: 3.2.0

### ags_sfz_loader_get_filename ()

    gchar *
    ags_sfz_loader_get_filename (AgsSFZLoader *sfz_loader);

Get filename of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |

#### Returns

the assigned filename.

[transfer full]

Since: 3.2.0

### ags_sfz_loader_set_filename ()

    void
    ags_sfz_loader_set_filename (AgsSFZLoader *sfz_loader,
                                 gchar *filename);

Set filename of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |
filename | the filename |

Since: 3.2.0

### ags_sfz_loader_get_audio_container ()

    AgsAudioContainer *
    ags_sfz_loader_get_audio_container (AgsSFZLoader *sfz_loader);

Get audio container of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |

#### Returns

the assigned AgsAudioContainer.

[transfer full]

Since: 3.2.0

### ags_sfz_loader_set_audio_container ()

    void
    ags_sfz_loader_set_audio_container (AgsSFZLoader *sfz_loader,
                                        AgsAudioContainer *audio_container);

Set audio container of `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |
audio_container | the AgsAudioContainer |

Since: 3.2.0

### ags_sfz_loader_start ()

    void
    ags_sfz_loader_start (AgsSFZLoader *sfz_loader);

Start `sfz_loader` .

#### Parameters

sfz_loader | the AgsSFZLoader |

Since: 3.0.0

### ags_sfz_loader_new ()

    AgsSFZLoader *
    ags_sfz_loader_new (AgsAudio *audio,
                        gchar *filename,
                        gboolean do_replace);

Create a new instance of AgsSFZLoader.

#### Parameters

audio | the AgsAudio |
filename | the filename |
do_replace | if `TRUE` replace `audio` 's sfz |

#### Returns

the new AgsSFZLoader

Since: 3.0.0

## Types and Values

### enum AgsSFZLoaderFlags

Enum values to configure SFZ loader.

#### Members

AGS_SFZ_LOADER_DO_REPLACE | do replace audio signal |
AGS_SFZ_LOADER_HAS_COMPLETED | has completed |
AGS_SFZ_LOADER_RUN_APPLY_SYNTH | run apply synth |

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned audio.

Owner: AgsSFZLoader

Flags: Read / Write

Since: 3.0.0

### The `“audio-container”` property

      “audio-container”          AgsAudioContainer *

The audio container opened.

Owner: AgsSFZLoader

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The filename to open.

Owner: AgsSFZLoader

Flags: Read / Write

Default value: NULL

Since: 3.0.0